#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

KSYMTAB_FUNC(nvidia_p2p_init_mapping, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_destroy_mapping, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_get_pages, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_get_pages_persistent, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_free_page_table, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_put_pages, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_put_pages_persistent, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_dma_map_pages, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_dma_unmap_pages, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_free_dma_mapping, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_register_rsync_driver, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_unregister_rsync_driver, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_get_rsync_registers, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_put_rsync_registers, "_gpl", "");
KSYMTAB_FUNC(nvidia_get_rm_ops, "_gpl", "");
KSYMTAB_FUNC(nvidia_register_error_cb, "", "");
KSYMTAB_FUNC(nvidia_unregister_error_cb, "", "");
KSYMTAB_FUNC(nvUvmInterfaceRegisterGpu, "", "");
KSYMTAB_FUNC(nvUvmInterfaceUnregisterGpu, "", "");
KSYMTAB_FUNC(nvUvmInterfaceSessionCreate, "", "");
KSYMTAB_FUNC(nvUvmInterfaceSessionDestroy, "", "");
KSYMTAB_FUNC(nvUvmInterfaceDeviceCreate, "", "");
KSYMTAB_FUNC(nvUvmInterfaceDeviceDestroy, "", "");
KSYMTAB_FUNC(nvUvmInterfaceDupAddressSpace, "", "");
KSYMTAB_FUNC(nvUvmInterfaceAddressSpaceCreate, "", "");
KSYMTAB_FUNC(nvUvmInterfaceAddressSpaceDestroy, "", "");
KSYMTAB_FUNC(nvUvmInterfaceMemoryAllocFB, "", "");
KSYMTAB_FUNC(nvUvmInterfaceMemoryAllocSys, "", "");
KSYMTAB_FUNC(nvUvmInterfaceGetP2PCaps, "", "");
KSYMTAB_FUNC(nvUvmInterfaceGetPmaObject, "", "");
KSYMTAB_FUNC(nvUvmInterfacePmaRegisterEvictionCallbacks, "", "");
KSYMTAB_FUNC(nvUvmInterfacePmaUnregisterEvictionCallbacks, "", "");
KSYMTAB_FUNC(nvUvmInterfacePmaAllocPages, "", "");
KSYMTAB_FUNC(nvUvmInterfacePmaPinPages, "", "");
KSYMTAB_FUNC(nvUvmInterfaceMemoryFree, "", "");
KSYMTAB_FUNC(nvUvmInterfacePmaFreePages, "", "");
KSYMTAB_FUNC(nvUvmInterfaceMemoryCpuMap, "", "");
KSYMTAB_FUNC(nvUvmInterfaceMemoryCpuUnMap, "", "");
KSYMTAB_FUNC(nvUvmInterfaceTsgAllocate, "", "");
KSYMTAB_FUNC(nvUvmInterfaceTsgDestroy, "", "");
KSYMTAB_FUNC(nvUvmInterfaceChannelAllocate, "", "");
KSYMTAB_FUNC(nvUvmInterfaceChannelDestroy, "", "");
KSYMTAB_FUNC(nvUvmInterfaceQueryCaps, "", "");
KSYMTAB_FUNC(nvUvmInterfaceQueryCopyEnginesCaps, "", "");
KSYMTAB_FUNC(nvUvmInterfaceGetGpuInfo, "", "");
KSYMTAB_FUNC(nvUvmInterfaceServiceDeviceInterruptsRM, "", "");
KSYMTAB_FUNC(nvUvmInterfaceSetPageDirectory, "", "");
KSYMTAB_FUNC(nvUvmInterfaceUnsetPageDirectory, "", "");
KSYMTAB_FUNC(nvUvmInterfaceDupAllocation, "", "");
KSYMTAB_FUNC(nvUvmInterfaceDupMemory, "", "");
KSYMTAB_FUNC(nvUvmInterfaceFreeDupedHandle, "", "");
KSYMTAB_FUNC(nvUvmInterfaceGetFbInfo, "", "");
KSYMTAB_FUNC(nvUvmInterfaceGetEccInfo, "", "");
KSYMTAB_FUNC(nvUvmInterfaceOwnPageFaultIntr, "", "");
KSYMTAB_FUNC(nvUvmInterfaceInitFaultInfo, "", "");
KSYMTAB_FUNC(nvUvmInterfaceInitAccessCntrInfo, "", "");
KSYMTAB_FUNC(nvUvmInterfaceEnableAccessCntr, "", "");
KSYMTAB_FUNC(nvUvmInterfaceDestroyFaultInfo, "", "");
KSYMTAB_FUNC(nvUvmInterfaceHasPendingNonReplayableFaults, "", "");
KSYMTAB_FUNC(nvUvmInterfaceGetNonReplayableFaults, "", "");
KSYMTAB_FUNC(nvUvmInterfaceFlushReplayableFaultBuffer, "", "");
KSYMTAB_FUNC(nvUvmInterfaceTogglePrefetchFaults, "", "");
KSYMTAB_FUNC(nvUvmInterfaceDestroyAccessCntrInfo, "", "");
KSYMTAB_FUNC(nvUvmInterfaceDisableAccessCntr, "", "");
KSYMTAB_FUNC(nvUvmInterfaceRegisterUvmCallbacks, "", "");
KSYMTAB_FUNC(nvUvmInterfaceDeRegisterUvmOps, "", "");
KSYMTAB_FUNC(nvUvmInterfaceGetNvlinkInfo, "", "");
KSYMTAB_FUNC(nvUvmInterfaceP2pObjectCreate, "", "");
KSYMTAB_FUNC(nvUvmInterfaceP2pObjectDestroy, "", "");
KSYMTAB_FUNC(nvUvmInterfaceGetExternalAllocPtes, "", "");
KSYMTAB_FUNC(nvUvmInterfaceGetExternalAllocPhysAddrs, "", "");
KSYMTAB_FUNC(nvUvmInterfaceRetainChannel, "", "");
KSYMTAB_FUNC(nvUvmInterfaceBindChannelResources, "", "");
KSYMTAB_FUNC(nvUvmInterfaceReleaseChannel, "", "");
KSYMTAB_FUNC(nvUvmInterfaceStopChannel, "", "");
KSYMTAB_FUNC(nvUvmInterfaceGetChannelResourcePtes, "", "");
KSYMTAB_FUNC(nvUvmInterfaceReportNonReplayableFault, "", "");
KSYMTAB_FUNC(nvUvmInterfacePagingChannelAllocate, "", "");
KSYMTAB_FUNC(nvUvmInterfacePagingChannelDestroy, "", "");
KSYMTAB_FUNC(nvUvmInterfacePagingChannelsMap, "", "");
KSYMTAB_FUNC(nvUvmInterfacePagingChannelsUnmap, "", "");
KSYMTAB_FUNC(nvUvmInterfacePagingChannelPushStream, "", "");
KSYMTAB_FUNC(nvUvmInterfaceReportFatalError, "", "");
KSYMTAB_FUNC(nvUvmInterfaceCslInitContext, "", "");
KSYMTAB_FUNC(nvUvmInterfaceDeinitCslContext, "", "");
KSYMTAB_FUNC(nvUvmInterfaceCslRotateKey, "", "");
KSYMTAB_FUNC(nvUvmInterfaceCslRotateIv, "", "");
KSYMTAB_FUNC(nvUvmInterfaceCslEncrypt, "", "");
KSYMTAB_FUNC(nvUvmInterfaceCslDecrypt, "", "");
KSYMTAB_FUNC(nvUvmInterfaceCslSign, "", "");
KSYMTAB_FUNC(nvUvmInterfaceCslQueryMessagePool, "", "");
KSYMTAB_FUNC(nvUvmInterfaceCslIncrementIv, "", "");
KSYMTAB_FUNC(nvUvmInterfaceCslLogEncryption, "", "");

SYMBOL_CRC(nvidia_p2p_init_mapping, 0x45bb0ad7, "_gpl");
SYMBOL_CRC(nvidia_p2p_destroy_mapping, 0x180f4b6a, "_gpl");
SYMBOL_CRC(nvidia_p2p_get_pages, 0x5b3f3e79, "_gpl");
SYMBOL_CRC(nvidia_p2p_get_pages_persistent, 0x970adefe, "_gpl");
SYMBOL_CRC(nvidia_p2p_free_page_table, 0xf42ca687, "_gpl");
SYMBOL_CRC(nvidia_p2p_put_pages, 0x642487ac, "_gpl");
SYMBOL_CRC(nvidia_p2p_put_pages_persistent, 0xacdf3914, "_gpl");
SYMBOL_CRC(nvidia_p2p_dma_map_pages, 0x480bd94b, "_gpl");
SYMBOL_CRC(nvidia_p2p_dma_unmap_pages, 0x35f7872c, "_gpl");
SYMBOL_CRC(nvidia_p2p_free_dma_mapping, 0x4acf35d7, "_gpl");
SYMBOL_CRC(nvidia_p2p_register_rsync_driver, 0x3063d183, "_gpl");
SYMBOL_CRC(nvidia_p2p_unregister_rsync_driver, 0x2302f2b6, "_gpl");
SYMBOL_CRC(nvidia_p2p_get_rsync_registers, 0xb06670ea, "_gpl");
SYMBOL_CRC(nvidia_p2p_put_rsync_registers, 0x24ab4fa5, "_gpl");
SYMBOL_CRC(nvidia_get_rm_ops, 0x1fec1128, "_gpl");
SYMBOL_CRC(nvidia_register_error_cb, 0xa8dae34e, "");
SYMBOL_CRC(nvidia_unregister_error_cb, 0x03d46922, "");
SYMBOL_CRC(nvUvmInterfaceRegisterGpu, 0x1ddee433, "");
SYMBOL_CRC(nvUvmInterfaceUnregisterGpu, 0xaa9c1109, "");
SYMBOL_CRC(nvUvmInterfaceSessionCreate, 0xbd9bc90d, "");
SYMBOL_CRC(nvUvmInterfaceSessionDestroy, 0xc3385e21, "");
SYMBOL_CRC(nvUvmInterfaceDeviceCreate, 0x972eb9e1, "");
SYMBOL_CRC(nvUvmInterfaceDeviceDestroy, 0x78ba08fc, "");
SYMBOL_CRC(nvUvmInterfaceDupAddressSpace, 0xb000909e, "");
SYMBOL_CRC(nvUvmInterfaceAddressSpaceCreate, 0xe701a2bb, "");
SYMBOL_CRC(nvUvmInterfaceAddressSpaceDestroy, 0xa62da25a, "");
SYMBOL_CRC(nvUvmInterfaceMemoryAllocFB, 0x7f03ef2d, "");
SYMBOL_CRC(nvUvmInterfaceMemoryAllocSys, 0x698f6a77, "");
SYMBOL_CRC(nvUvmInterfaceGetP2PCaps, 0x0aa90502, "");
SYMBOL_CRC(nvUvmInterfaceGetPmaObject, 0x525172f0, "");
SYMBOL_CRC(nvUvmInterfacePmaRegisterEvictionCallbacks, 0x90df6793, "");
SYMBOL_CRC(nvUvmInterfacePmaUnregisterEvictionCallbacks, 0x30aeb11d, "");
SYMBOL_CRC(nvUvmInterfacePmaAllocPages, 0x04ca663e, "");
SYMBOL_CRC(nvUvmInterfacePmaPinPages, 0xccdb149b, "");
SYMBOL_CRC(nvUvmInterfaceMemoryFree, 0xd5057c22, "");
SYMBOL_CRC(nvUvmInterfacePmaFreePages, 0x0ffab807, "");
SYMBOL_CRC(nvUvmInterfaceMemoryCpuMap, 0x55b4744b, "");
SYMBOL_CRC(nvUvmInterfaceMemoryCpuUnMap, 0x4d7a107f, "");
SYMBOL_CRC(nvUvmInterfaceTsgAllocate, 0x71de450f, "");
SYMBOL_CRC(nvUvmInterfaceTsgDestroy, 0xe45112d9, "");
SYMBOL_CRC(nvUvmInterfaceChannelAllocate, 0xb783c89d, "");
SYMBOL_CRC(nvUvmInterfaceChannelDestroy, 0xcd40176d, "");
SYMBOL_CRC(nvUvmInterfaceQueryCaps, 0x9a138db2, "");
SYMBOL_CRC(nvUvmInterfaceQueryCopyEnginesCaps, 0xeb1a59ab, "");
SYMBOL_CRC(nvUvmInterfaceGetGpuInfo, 0xdf8b46ca, "");
SYMBOL_CRC(nvUvmInterfaceServiceDeviceInterruptsRM, 0x19f28917, "");
SYMBOL_CRC(nvUvmInterfaceSetPageDirectory, 0x534759f3, "");
SYMBOL_CRC(nvUvmInterfaceUnsetPageDirectory, 0x4bc0e431, "");
SYMBOL_CRC(nvUvmInterfaceDupAllocation, 0x246cbff7, "");
SYMBOL_CRC(nvUvmInterfaceDupMemory, 0xd18cb4c2, "");
SYMBOL_CRC(nvUvmInterfaceFreeDupedHandle, 0x51f732db, "");
SYMBOL_CRC(nvUvmInterfaceGetFbInfo, 0xf1d38ffd, "");
SYMBOL_CRC(nvUvmInterfaceGetEccInfo, 0xa452244c, "");
SYMBOL_CRC(nvUvmInterfaceOwnPageFaultIntr, 0xd1600093, "");
SYMBOL_CRC(nvUvmInterfaceInitFaultInfo, 0x1138c8e8, "");
SYMBOL_CRC(nvUvmInterfaceInitAccessCntrInfo, 0xec03a88a, "");
SYMBOL_CRC(nvUvmInterfaceEnableAccessCntr, 0x425912fc, "");
SYMBOL_CRC(nvUvmInterfaceDestroyFaultInfo, 0x1ebf5deb, "");
SYMBOL_CRC(nvUvmInterfaceHasPendingNonReplayableFaults, 0x5b7e7949, "");
SYMBOL_CRC(nvUvmInterfaceGetNonReplayableFaults, 0xe49893bd, "");
SYMBOL_CRC(nvUvmInterfaceFlushReplayableFaultBuffer, 0xd9b60cd6, "");
SYMBOL_CRC(nvUvmInterfaceTogglePrefetchFaults, 0xbef3c5d7, "");
SYMBOL_CRC(nvUvmInterfaceDestroyAccessCntrInfo, 0x064a6a01, "");
SYMBOL_CRC(nvUvmInterfaceDisableAccessCntr, 0x7b23607e, "");
SYMBOL_CRC(nvUvmInterfaceRegisterUvmCallbacks, 0x9b02e313, "");
SYMBOL_CRC(nvUvmInterfaceDeRegisterUvmOps, 0x84ccfdfb, "");
SYMBOL_CRC(nvUvmInterfaceGetNvlinkInfo, 0x49f1262d, "");
SYMBOL_CRC(nvUvmInterfaceP2pObjectCreate, 0xf7419bbb, "");
SYMBOL_CRC(nvUvmInterfaceP2pObjectDestroy, 0xce96a1a4, "");
SYMBOL_CRC(nvUvmInterfaceGetExternalAllocPtes, 0x203a44d1, "");
SYMBOL_CRC(nvUvmInterfaceGetExternalAllocPhysAddrs, 0xafd0008b, "");
SYMBOL_CRC(nvUvmInterfaceRetainChannel, 0x9ad73756, "");
SYMBOL_CRC(nvUvmInterfaceBindChannelResources, 0xf82d8f8b, "");
SYMBOL_CRC(nvUvmInterfaceReleaseChannel, 0x43e66ecb, "");
SYMBOL_CRC(nvUvmInterfaceStopChannel, 0x27491fbc, "");
SYMBOL_CRC(nvUvmInterfaceGetChannelResourcePtes, 0x710977d6, "");
SYMBOL_CRC(nvUvmInterfaceReportNonReplayableFault, 0x69eb8138, "");
SYMBOL_CRC(nvUvmInterfacePagingChannelAllocate, 0x89e0959d, "");
SYMBOL_CRC(nvUvmInterfacePagingChannelDestroy, 0x892a63e7, "");
SYMBOL_CRC(nvUvmInterfacePagingChannelsMap, 0x6fcca1a3, "");
SYMBOL_CRC(nvUvmInterfacePagingChannelsUnmap, 0x36e57696, "");
SYMBOL_CRC(nvUvmInterfacePagingChannelPushStream, 0x942fa6aa, "");
SYMBOL_CRC(nvUvmInterfaceReportFatalError, 0xe02a9acb, "");
SYMBOL_CRC(nvUvmInterfaceCslInitContext, 0xb759d51b, "");
SYMBOL_CRC(nvUvmInterfaceDeinitCslContext, 0x7f450da8, "");
SYMBOL_CRC(nvUvmInterfaceCslRotateKey, 0x85c7cadd, "");
SYMBOL_CRC(nvUvmInterfaceCslRotateIv, 0xd15a3e1c, "");
SYMBOL_CRC(nvUvmInterfaceCslEncrypt, 0x2c22b46f, "");
SYMBOL_CRC(nvUvmInterfaceCslDecrypt, 0x9ee2976a, "");
SYMBOL_CRC(nvUvmInterfaceCslSign, 0xc1f02f56, "");
SYMBOL_CRC(nvUvmInterfaceCslQueryMessagePool, 0x1b556dea, "");
SYMBOL_CRC(nvUvmInterfaceCslIncrementIv, 0x5d784826, "");
SYMBOL_CRC(nvUvmInterfaceCslLogEncryption, 0x7bfbe5eb, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x45cfcdf8, "pci_iounmap" },
	{ 0x9ebaa669, "iterate_fd" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x627438f, "cdev_init" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xf77555cd, "__memcpy_toio" },
	{ 0xaf5baf0f, "init_pid_ns" },
	{ 0x2d73835, "single_open" },
	{ 0x47ca565a, "pci_restore_state" },
	{ 0x682d10a3, "pci_enable_atomic_ops_to_root" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0x76c18870, "device_destroy" },
	{ 0x2b421dc2, "module_put" },
	{ 0x3fd78f3b, "register_chrdev_region" },
	{ 0x3fb7aa8f, "node_states" },
	{ 0x6d73c95f, "logic_outw" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xd955afa6, "hrtimer_start_range_ns" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0xa46ac0be, "crypto_shash_update" },
	{ 0x186c9d3e, "__kmem_cache_create_args" },
	{ 0x587b0954, "kvasprintf" },
	{ 0x66e628c8, "crypto_shash_import" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x10c5826a, "vmf_insert_pfn_prot" },
	{ 0xcd6d246a, "fput" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xe6878225, "pci_write_config_byte" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x4829a47e, "memcpy" },
	{ 0xfa6cf530, "pci_get_domain_bus_and_slot" },
	{ 0x41f2ca76, "vmap" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xedc03953, "iounmap" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x31e20623, "vga_set_legacy_decoding" },
	{ 0x73e77327, "pci_disable_device" },
	{ 0x37b8b39e, "screen_info" },
	{ 0x6af57e8f, "node_data" },
	{ 0x77ab69f6, "__folio_put" },
	{ 0xe6b20d23, "pci_rebar_get_possible_sizes" },
	{ 0x6fc48021, "dynamic_cond_resched" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x1c0b7b95, "dma_buf_attach" },
	{ 0x618911fc, "numa_node" },
	{ 0xac2e3fa9, "crypto_shash_tfm_digest" },
	{ 0xece784c2, "rb_first" },
	{ 0xa8dcd6dd, "pcie_capability_read_word" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xee47ab33, "i2c_add_adapter" },
	{ 0xd11966b0, "pci_get_class" },
	{ 0xf65948ed, "cdev_add" },
	{ 0x8fa22da1, "dma_buf_detach" },
	{ 0x40863ba1, "ioremap_prot" },
	{ 0x668b19a1, "down_read" },
	{ 0xcadffa6a, "get_task_pid" },
	{ 0xb1421b57, "pm_vt_switch_unregister" },
	{ 0x81e6b37f, "dmi_get_system_info" },
	{ 0x8c78cf7, "offline_and_remove_memory" },
	{ 0xa8e458b, "crypto_req_done" },
	{ 0x76f7f2cb, "kmalloc_caches" },
	{ 0x2e2c4ddc, "logic_inw" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0xa532c468, "dma_set_mask" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xe1f70258, "__alloc_pages_noprof" },
	{ 0xc6cbbc89, "capable" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xe652244c, "crypto_aead_setkey" },
	{ 0x25db39bc, "__pci_register_driver" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x718e0599, "seq_read" },
	{ 0x170ddf79, "acpi_install_notify_handler" },
	{ 0x5a921311, "strncmp" },
	{ 0xa05d58e0, "dma_buf_unmap_attachment" },
	{ 0x5ac81289, "remove_proc_entry" },
	{ 0xf734ae38, "proc_mkdir_mode" },
	{ 0xce46fea2, "pci_write_config_dword" },
	{ 0x4af5a349, "pcie_reset_flr" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x1c58427f, "acpi_remove_notify_handler" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x6793ff7f, "pci_read_config_dword" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x98cf60b3, "strlen" },
	{ 0xec6bcf53, "vm_insert_page" },
	{ 0x2df5df12, "remap_pfn_range" },
	{ 0xc6c448c2, "crypto_destroy_tfm" },
	{ 0xa1bc7a43, "find_vma_intersection" },
	{ 0x751b0644, "sg_alloc_table_from_pages_segment" },
	{ 0xce807a25, "up_write" },
	{ 0xf9ca125f, "device_create" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xa76b31a2, "crypto_ecdh_shared_secret" },
	{ 0x8ce5855c, "pci_enable_device" },
	{ 0x464c18c5, "crypto_alloc_aead" },
	{ 0xcf531801, "pci_set_master" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xfeeac6c8, "__dma_sync_sg_for_device" },
	{ 0x278468cf, "pci_dev_put" },
	{ 0x18b48e28, "__memset_io" },
	{ 0xdca8c3d4, "logic_outb" },
	{ 0x585c8b4b, "__kmalloc_cache_noprof" },
	{ 0x8c9897c7, "single_release" },
	{ 0x188ea314, "jiffies_to_timespec64" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xaff346e0, "proc_create_data" },
	{ 0x3bf17755, "mpi_read_buffer" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xeca48d2, "prot_ns_shared" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x78ce1e69, "seq_lseek" },
	{ 0xf6b9f69b, "pci_read_config_byte" },
	{ 0xe753b9d4, "pci_write_config_word" },
	{ 0x422489c0, "dma_buf_export" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0xea09fade, "pci_assign_unassigned_bus_resources" },
	{ 0x4263fdc5, "cc_platform_has" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0x12c344e6, "task_active_pid_ns" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x34f5b545, "iov_iter_kvec" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xc82c0b26, "dev_driver_string" },
	{ 0x85df9b6c, "strsep" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x9305f8e6, "cpufreq_get" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0xecfea114, "pci_request_regions" },
	{ 0xe4bbc1dd, "kimage_voffset" },
	{ 0x2e2b40d2, "strncat" },
	{ 0x85bd1608, "__request_region" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa28cf966, "device_property_read_u64_array" },
	{ 0xec2b8a42, "acpi_walk_namespace" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x6da467cb, "pfn_is_map_memory" },
	{ 0xcf2ea86b, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0x605d5bfa, "cache_line_size" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x7918d817, "memory_failure" },
	{ 0xa6257a2f, "complete" },
	{ 0x9092604d, "pci_read_config_word" },
	{ 0x408ea12a, "crypto_aead_decrypt" },
	{ 0xfcc1edd3, "memory_block_size_bytes" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x1686a280, "ecc_is_pubkey_valid_full" },
	{ 0xe40c37ea, "down_write_trylock" },
	{ 0xa34fd434, "kmem_cache_destroy" },
	{ 0x92997ed8, "_printk" },
	{ 0xc94a0786, "set_page_dirty_lock" },
	{ 0xb6fde909, "close_fd" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0x28293243, "kernel_write" },
	{ 0xed4ae15e, "ecc_make_pub_key" },
	{ 0x7e4c3df5, "efi" },
	{ 0xb8f6fc73, "pid_vnr" },
	{ 0x7507cdaf, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2291250c, "class_create" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x80d5e57a, "mpi_free" },
	{ 0x481c29b6, "pci_disable_msix" },
	{ 0x999e8297, "vfree" },
	{ 0x6938920f, "dma_set_coherent_mask" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0x967a370d, "__mmap_lock_do_trace_acquire_returned" },
	{ 0xbc60fa7a, "public_key_verify_signature" },
	{ 0xc2310cdc, "logic_inl" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x62a10cc5, "fd_install" },
	{ 0x5d1b0c19, "param_ops_int" },
	{ 0xfcbfec70, "add_memory_driver_managed" },
	{ 0xcf2a6966, "up" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x4adbfc8b, "pci_disable_msi" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xfbaaf01e, "console_lock" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x385c7481, "__tracepoint_mmap_lock_start_locking" },
	{ 0x7023bea8, "unregister_acpi_notifier" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x92b99a33, "acpi_put_table" },
	{ 0x9166fada, "strncpy" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xa770832, "register_memory_notifier" },
	{ 0xec7202bd, "cdev_del" },
	{ 0x77b532ea, "dma_buf_map_attachment" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xf18300ad, "logic_inb" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x6f8cf8b, "put_pid" },
	{ 0x77a10c84, "pci_release_regions" },
	{ 0x1000e51, "schedule" },
	{ 0x1cd8438b, "pxm_to_node" },
	{ 0x9fe939e1, "mpi_powm" },
	{ 0x62918347, "request_firmware" },
	{ 0xc0b450ab, "pci_bus_type" },
	{ 0x5e6cbbc4, "crypto_aead_encrypt" },
	{ 0x6bd0e573, "down_interruptible" },
	{ 0xc631580a, "console_unlock" },
	{ 0xeb3962a, "crypto_shash_export" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x11089ac7, "_ctype" },
	{ 0xa9bfb2d6, "pci_enable_msi" },
	{ 0xdcb764ad, "memset" },
	{ 0x7483dc59, "pci_dev_present" },
	{ 0x3510d321, "follow_pfnmap_end" },
	{ 0x98503a63, "mpi_alloc" },
	{ 0x48879f20, "hrtimer_init" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x258cc939, "__dma_sync_single_for_cpu" },
	{ 0x88cee675, "kthread_create_on_node" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0x77358855, "iomem_resource" },
	{ 0xe5007dd9, "is_acpi_device_node" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x227b81c4, "class_destroy" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x7ea7a674, "pci_resize_resource" },
	{ 0x33037fd8, "logic_outl" },
	{ 0xb494fddf, "pci_enable_msix_range" },
	{ 0xdf8c695a, "__ndelay" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x148653, "vsnprintf" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xac50e356, "seq_printf" },
	{ 0x264e8e3, "kthread_stop" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x715a5ed0, "vprintk" },
	{ 0x53b954a2, "up_read" },
	{ 0x2f5369de, "crypto_alloc_shash" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x9a2ff03b, "__seq_puts" },
	{ 0xa916b694, "strnlen" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x580d0142, "kernel_read" },
	{ 0xd8c8feb9, "__mmap_lock_do_trace_start_locking" },
	{ 0x2c4f2e35, "__vmalloc_noprof" },
	{ 0x8bbfc81d, "seq_read_iter" },
	{ 0xb693a335, "dma_free_attrs" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x16cdc340, "acpi_get_table" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x9f4f2aa3, "acpi_gbl_FADT" },
	{ 0xa9722b91, "unpin_user_page" },
	{ 0xe8638f83, "pci_find_capability" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x20b48c6a, "key_type_asymmetric" },
	{ 0x59100486, "ecc_get_curve" },
	{ 0x4952e9c5, "try_module_get" },
	{ 0xe9ffc063, "down_trylock" },
	{ 0x936701f7, "__put_devmap_managed_folio_refs" },
	{ 0xbfa916d, "pci_find_host_bridge" },
	{ 0xea4dab8d, "pci_iomap" },
	{ 0xac519db0, "unmap_mapping_range" },
	{ 0x6626afca, "down" },
	{ 0x1e6d26a8, "strstr" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x31c07cd, "pcibios_resource_to_bus" },
	{ 0x5b06b38c, "pci_stop_and_remove_bus_device" },
	{ 0x819a6e4, "fget" },
	{ 0x85c26681, "kmem_cache_free" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xeedcc1ec, "crypto_shash_final" },
	{ 0x94961283, "vunmap" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0xceb1f126, "mpi_read_raw_data" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x37a0cba, "kfree" },
	{ 0x3ab74ade, "filp_close" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xd6315f31, "ecc_gen_privkey" },
	{ 0x4d9aa654, "rsi_present" },
	{ 0xf65730cd, "dma_alloc_attrs" },
	{ 0x2b1c3475, "pci_save_state" },
	{ 0x57bc19d2, "down_write" },
	{ 0xddcca35d, "dma_map_page_attrs" },
	{ 0x349cba85, "strchr" },
	{ 0x3a5039c2, "kmem_cache_alloc_noprof" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x6004bfc3, "pm_vt_switch_required" },
	{ 0xe2964344, "__wake_up" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x75871f5e, "acpi_get_next_object" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x407696b3, "dma_unmap_page_attrs" },
	{ 0xd469bccc, "__tracepoint_mmap_lock_released" },
	{ 0x26e298e0, "unregister_memory_notifier" },
	{ 0x973fa82e, "register_acpi_notifier" },
	{ 0x949cc1ce, "dma_buf_get" },
	{ 0xfe52c167, "__free_pages" },
	{ 0xe11a785c, "param_ops_charp" },
	{ 0xf1e476a2, "dma_buf_put" },
	{ 0xe7667824, "crypto_alloc_akcipher" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0xc89b0c5e, "filp_open" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xdec018ef, "dma_map_sg_attrs" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x1cf5f5b1, "follow_pfnmap_start" },
	{ 0xf41d0328, "pci_unregister_driver" },
	{ 0xabe762a1, "address_space_init_once" },
	{ 0x33b5442e, "vmalloc_to_page" },
	{ 0xc50fbd8f, "wake_up_process" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x735e6a81, "acpi_evaluate_integer" },
	{ 0x2bee05a, "crypto_shash_setkey" },
	{ 0xa2e62f6e, "proc_remove" },
	{ 0xeec4bd18, "dma_unmap_sg_attrs" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x440638c1, "dma_buf_fd" },
	{ 0xd8978aef, "on_each_cpu_cond_mask" },
	{ 0xa1b886ba, "pci_clear_master" },
	{ 0x2014d42d, "i2c_del_adapter" },
	{ 0x4fc90d32, "pin_user_pages" },
	{ 0x5d112304, "__memcpy_fromio" },
	{ 0xe914e41e, "strcpy" },
	{ 0x5f668982, "pci_release_resource" },
	{ 0x8421b621, "pci_ats_supported" },
	{ 0xf1e046cc, "panic" },
	{ 0xcc37fc74, "__mmap_lock_do_trace_released" },
	{ 0x742578a5, "wait_for_random_bytes" },
	{ 0xf8873033, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000010DEd*sv*sd*bc03sc00i00*");
MODULE_ALIAS("pci:v000010DEd*sv*sd*bc03sc02i00*");
MODULE_ALIAS("pci:v000010DEd*sv*sd*bc06sc80i00*");

MODULE_INFO(srcversion, "DEB3A8C78DBD42AE15B9BCE");
MODULE_INFO(rhelversion, "10.1");
